#386 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

v1.0 (example)
open
nobody
None
5
2014-09-15
2014-03-11
Jim Michaels
No

I just ran a

i HAVE A 64-BIT msys, configured for using expermiental 4.9.0 experimental sjlj posix x86_64.

I was building wxwidgets 3.0.0 with

./configure ; make -j 12

causes a bunch of compiler aborts which brings up a windows error "cc1plus.exe has stopped working" dialog.

the -j specifies the number of parallel compiles.

after cleaning and remake, I got same error but this time with

"cc1plus.exe

(X)The instruction at 0x00cc9e0b referenced memory at 0x954c0288. The memory could not be read.

Click OK to terminate the program."

from the event viewer (eventvwr.exe):

Faulting application name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
Faulting module name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
Exception code: 0xc0000005
Fault offset: 0x00000000008c9e0b
Faulting process id: 0x5dfac
Faulting application start time: 0x01cf3d7d07fade42
Faulting application path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
Faulting module path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
Report Id: 45acd00f-a970-11e3-847c-e1f4150142e4

Fault bucket 13473730, type 20
Event Name: APPCRASH
Response: Not available
Cab Id: 0

Problem signature:
P1: cc1plus.exe
P2: 0.0.0.0
P3: 528b3204
P4: cc1plus.exe
P5: 0.0.0.0
P6: 528b3204
P7: c0000005
P8: 00000000008c9e0b
P9:
P10:

Attached files:
C:\Users\Jim-Michaels\AppData\Local\Temp\WERBD38.tmp.WERInternalMetadata.xml

These files may be available here:
C:\Users\Jim-Michaels\AppData\Local\Microsoft\Windows\WER\ReportArchive\AppCrash_cc1plus.exe_47125e68aa27986916fd7cd8a9395fd71e7bf978_1e948ef7

Analysis symbol:
Rechecking for solution: 0
Report Id: d9ecb5c0-a96e-11e3-847c-e1f4150142e4
Report Status: 0


Jim-Michaels@Jim-Michaels-PC /wx
$ $CXX -v
Using built-in specs.
COLLECT_GCC=f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64
\bin\g++.exe
COLLECT_LTO_WRAPPER=f:/x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4
/mingw64/bin/../libexec/gcc/x86_64-w64-mingw32/4.9.0/lto-wrapper.exe
Target: x86_64-w64-mingw32
Configured with: ../../../src/gcc-trunk/configure --host=x86_64-w64-mingw32 --bu
ild=x86_64-w64-mingw32 --target=x86_64-w64-mingw32 --prefix=/mingw64 --with-sysr
oot=/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64 --enable-shared --enable
-static --enable-targets=all --enable-multilib --enable-languages=c,c++,fortran,
lto --enable-libstdcxx-time=yes --enable-threads=posix --enable-libgomp --enable
-lto --enable-graphite --enable-checking=release --enable-fully-dynamic-string -
-enable-version-specific-runtime-libs --enable-sjlj-exceptions --disable-isl-ver
sion-check --disable-cloog-version-check --disable-libstdcxx-pch --disable-libst
dcxx-debug --disable-bootstrap --disable-rpath --disable-win32-registry --disabl
e-nls --disable-werror --disable-symvers --with-gnu-as --with-gnu-ld --with-arch
-32=i686 --with-arch-64=nocona --with-tune-32=generic --with-tune-64=core2 --wit
h-libiconv --with-system-zlib --with-gmp=/d/mingwtrunk/prerequisites/x86_64-w64-
mingw32-static --with-mpfr=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static
--with-mpc=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-isl=/d/
mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-cloog=/d/mingwtrunk/pr
erequisites/x86_64-w64-mingw32-static --enable-cloog-backend=isl --with-pkgversi
on='Built by MinGW-W64 project' --with-bugurl=http://sourceforge.net/projects/mi
ngw-w64 CFLAGS='-O2 -pipe -I/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/
opt/include -I/d/mingwtrunk/prerequisites/x86_64-zlib-static/include -I/d/mingwt
runk/prerequisites/x86_64-w64-mingw32-static/include' CXXFLAGS='-O2 -pipe -I/d/m
ingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/opt/include -I/d/mingwtrunk/prer
equisites/x86_64-zlib-static/include -I/d/mingwtrunk/prerequisites/x86_64-w64-mi
ngw32-static/include' CPPFLAGS= LDFLAGS='-pipe -L/d/mingwtrunk/x86_64-trunk-posi
x-sjlj-rt_v4/mingw64/opt/lib -L/d/mingwtrunk/prerequisites/x86_64-zlib-static/li
b -L/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static/lib'
Thread model: posix
gcc version 4.9.0 20131119 (experimental) (Built by MinGW-W64 project)

Jim-Michaels@Jim-Michaels-PC /wx
$

Related

Bugs: #386

Discussion

1 2 > >> (Page 1 of 2)
  • Jim Michaels
    Jim Michaels
    2014-03-11

    the c++ option I include is -Ofast

     
  • Jim Michaels
    Jim Michaels
    2014-03-11

    it does this without -j 12 also.

     
  • Jim Michaels
    Jim Michaels
    2014-03-12

    it seems under 64-bit, an offending compile line is
    /wx64/bk-deps /mingw64h64t/bin/g++.exe -c -o coredll_msw_main.o -I./.pch/wxprec_
    coredll -DWXMSW -DWXBUILDING -I/wx64/src/tiff/libtiff -I./src/tiff/libt
    iff -I./src/jpeg -I./src/png -I./src/regex -I./src/expat/lib -DWXUSINGDLL -DWXM
    AKINGDLL_CORE -DwxUSE_BASE=0 -Wall -Wundef -Wunused-parameter -Wno-ctor-dtor-pr
    ivacy -Woverloaded-virtual -D_FILE_OFFSET_BITS=64 -I/wx64/lib/wx/include/msw-uni
    code-3.0 -I./include -m64 -I/mingw64h64t/x86_64-w64-mingw32/include:/mingw64h64t
    /include/c++/4.8.2:/mingw64h64t/include/c++/4.8.2/x86_64-w64-mingw32:/mingw64h64
    t/lib/gcc/x86_64-w64-mingw32/4.8.2/include-fixed -Ofast -DWX_PRECOMP -mthreads -
    O2 -fno-strict-aliasing ./src/msw/main.cpp

     
  • niXman
    niXman
    2014-03-12

    Unfortunately, I have no ideas...

     
  • Jim Michaels
    Jim Michaels
    2014-03-15

    is it possible to mix -O2 and -Ofast?
    it's this file.

     
    Attachments
    • Jim Michaels
      Jim Michaels
      2014-03-16

      when I am using msys, where do the .i files go to? can't find them. I used -save-temps -v


      From: Jim Michaels jmichae3@users.sf.net
      To: [mingw-w64:bugs] 386@bugs.mingw-w64.p.re.sf.net
      Sent: Saturday, March 15, 2014 10:00 AM
      Subject: [mingw-w64:bugs] #386 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

      is it possible to mix -O2 and -Ofast?
      it's this file.

      Attachment: main.cpp (12.6 kB; application/octet-stream)


      [bugs:#386] 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

      Status: open
      Group: v1.0 (example)
      Created: Tue Mar 11, 2014 11:12 PM UTC by Jim Michaels
      Last Updated: Wed Mar 12, 2014 05:39 AM UTC
      Owner: nobody

      I just ran a

      i HAVE A 64-BIT msys, configured for using expermiental 4.9.0 experimental sjlj posix x86_64.

      I was building wxwidgets 3.0.0 with

      ./configure ; make -j 12

      causes a bunch of compiler aborts which brings up a windows error "cc1plus.exe has stopped working" dialog.

      the -j specifies the number of parallel compiles.

      after cleaning and remake, I got same error but this time with

      "cc1plus.exe

      (X)The instruction at 0x00cc9e0b referenced memory at 0x954c0288. The memory could not be read.

      Click OK to terminate the program."

      from the event viewer (eventvwr.exe):

      Faulting application name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
      Faulting module name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
      Exception code: 0xc0000005
      Fault offset: 0x00000000008c9e0b
      Faulting process id: 0x5dfac
      Faulting application start time: 0x01cf3d7d07fade42
      Faulting application path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
      Faulting module path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
      Report Id: 45acd00f-a970-11e3-847c-e1f4150142e4

      Fault bucket 13473730, type 20
      Event Name: APPCRASH
      Response: Not available
      Cab Id: 0

      Problem signature:
      P1: cc1plus.exe
      P2: 0.0.0.0
      P3: 528b3204
      P4: cc1plus.exe
      P5: 0.0.0.0
      P6: 528b3204
      P7: c0000005
      P8: 00000000008c9e0b
      P9:
      P10:

      Attached files:
      C:\Users\Jim-Michaels\AppData\Local\Temp\WERBD38.tmp.WERInternalMetadata.xml

      These files may be available here:
      C:\Users\Jim-Michaels\AppData\Local\Microsoft\Windows\WER\ReportArchive\AppCrash_cc1plus.exe_47125e68aa27986916fd7cd8a9395fd71e7bf978_1e948ef7

      Analysis symbol:
      Rechecking for solution: 0
      Report Id: d9ecb5c0-a96e-11e3-847c-e1f4150142e4
      Report Status: 0


      Jim-Michaels@Jim-Michaels-PC /wx
      $ $CXX -v
      Using built-in specs.
      COLLECT_GCC=f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64
      \bin\g++.exe
      COLLECT_LTO_WRAPPER=f:/x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4
      /mingw64/bin/../libexec/gcc/x86_64-w64-mingw32/4.9.0/lto-wrapper.exe
      Target: x86_64-w64-mingw32
      Configured with: ../../../src/gcc-trunk/configure --host=x86_64-w64-mingw32 --bu
      ild=x86_64-w64-mingw32 --target=x86_64-w64-mingw32 --prefix=/mingw64 --with-sysr
      oot=/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64 --enable-shared --enable
      -static --enable-targets=all --enable-multilib --enable-languages=c,c++,fortran,
      lto --enable-libstdcxx-time=yes --enable-threads=posix --enable-libgomp --enable
      -lto --enable-graphite --enable-checking=release --enable-fully-dynamic-string -
      -enable-version-specific-runtime-libs --enable-sjlj-exceptions --disable-isl-ver
      sion-check --disable-cloog-version-check --disable-libstdcxx-pch --disable-libst
      dcxx-debug --disable-bootstrap --disable-rpath --disable-win32-registry --disabl
      e-nls --disable-werror --disable-symvers --with-gnu-as --with-gnu-ld --with-arch
      -32=i686 --with-arch-64=nocona --with-tune-32=generic --with-tune-64=core2 --wit
      h-libiconv --with-system-zlib --with-gmp=/d/mingwtrunk/prerequisites/x86_64-w64-
      mingw32-static --with-mpfr=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static
      --with-mpc=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-isl=/d/
      mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-cloog=/d/mingwtrunk/pr
      erequisites/x86_64-w64-mingw32-static --enable-cloog-backend=isl --with-pkgversi
      on='Built by MinGW-W64 project' --with-bugurl=http://sourceforge.net/projects/mi
      ngw-w64 CFLAGS='-O2 -pipe -I/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/
      opt/include -I/d/mingwtrunk/prerequisites/x86_64-zlib-static/include -I/d/mingwt
      runk/prerequisites/x86_64-w64-mingw32-static/include' CXXFLAGS='-O2 -pipe -I/d/m
      ingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/opt/include -I/d/mingwtrunk/prer
      equisites/x86_64-zlib-static/include -I/d/mingwtrunk/prerequisites/x86_64-w64-mi
      ngw32-static/include' CPPFLAGS= LDFLAGS='-pipe -L/d/mingwtrunk/x86_64-trunk-posi
      x-sjlj-rt_v4/mingw64/opt/lib -L/d/mingwtrunk/prerequisites/x86_64-zlib-static/li
      b -L/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static/lib'
      Thread model: posix
      gcc version 4.9.0 20131119 (experimental) (Built by MinGW-W64 project)

      Jim-Michaels@Jim-Michaels-PC /wx
      $


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/mingw-w64/bugs/386/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #386

      Attachments
      • Jim Michaels
        Jim Michaels
        2014-03-18

        I don't know how, but seems to have wxwidgets 3.0.0 built successfully.
        it seems (?) I had 2 variables joined together in my profile because I hit the delete key accidentally, so one of my variables was essentially missing.
        if this was not the problem before, I would not know it now.
        CPPFLAGS and CCFLAGS I think.

        for some reason, using -m32 causes this with ./configure

        checking for /mingw64h64t/bin/x86_64-w64-mingw32-gcc.exe option to accept ISO C89... none needed
        checking whether we are using the Intel C compiler... no
        checking how to run the C preprocessor... /mingw64h64t/bin/x86_64-w64-mingw32-cpp.exe
        configure: error: in /wx32': configure: error: C preprocessor "/mingw64h64t/bin/x86_64-w64-mingw32-cpp.exe" fails sanity check Seeconfig.log' for more details

        ... which contains this at the end:

        -----------

        confdefs.h.

        -----------

        / confdefs.h /

        define PACKAGE_NAME "wxWidgets"

        define PACKAGE_TARNAME "wxwidgets"

        define PACKAGE_VERSION "3.0.0"

        define PACKAGE_STRING "wxWidgets 3.0.0"

        define PACKAGE_BUGREPORT "wx-dev@lists.wxwidgets.org"

        define PACKAGE_URL ""

        configure: exit 1

        it builds under -m64 but not under -m32.


        From: Jim Michaels jmichae3@users.sf.net
        To: [mingw-w64:bugs] 386@bugs.mingw-w64.p.re.sf.net
        Sent: Saturday, March 15, 2014 6:17 PM
        Subject: [mingw-w64:bugs] Re: #386 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

        when I am using msys, where do the .i files go to? can't find them. I used -save-temps -v


        From: Jim Michaels jmichae3@users.sf.net
        To: [mingw-w64:bugs] 386@bugs.mingw-w64.p.re.sf.net
        Sent: Saturday, March 15, 2014 10:00 AM
        Subject: [mingw-w64:bugs] #386 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

        is it possible to mix -O2 and -Ofast?
        it's this file.

        Attachment: main.cpp (12.6 kB; application/octet-stream)


        [bugs:#386] 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

        Status: open
        Group: v1.0 (example)
        Created: Tue Mar 11, 2014 11:12 PM UTC by Jim Michaels
        Last Updated: Wed Mar 12, 2014 05:39 AM UTC
        Owner: nobody

        I just ran a

        i HAVE A 64-BIT msys, configured for using expermiental 4.9.0 experimental sjlj posix x86_64.

        I was building wxwidgets 3.0.0 with

        ./configure ; make -j 12

        causes a bunch of compiler aborts which brings up a windows error "cc1plus.exe has stopped working" dialog.

        the -j specifies the number of parallel compiles.

        after cleaning and remake, I got same error but this time with

        "cc1plus.exe

        (X)The instruction at 0x00cc9e0b referenced memory at 0x954c0288. The memory could not be read.

        Click OK to terminate the program."

        from the event viewer (eventvwr.exe):

        Faulting application name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
        Faulting module name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
        Exception code: 0xc0000005
        Fault offset: 0x00000000008c9e0b
        Faulting process id: 0x5dfac
        Faulting application start time: 0x01cf3d7d07fade42
        Faulting application path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
        Faulting module path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
        Report Id: 45acd00f-a970-11e3-847c-e1f4150142e4

        Fault bucket 13473730, type 20
        Event Name: APPCRASH
        Response: Not available
        Cab Id: 0

        Problem signature:
        P1: cc1plus.exe
        P2: 0.0.0.0
        P3: 528b3204
        P4: cc1plus.exe
        P5: 0.0.0.0
        P6: 528b3204
        P7: c0000005
        P8: 00000000008c9e0b
        P9:
        P10:

        Attached files:
        C:\Users\Jim-Michaels\AppData\Local\Temp\WERBD38.tmp.WERInternalMetadata.xml

        These files may be available here:
        C:\Users\Jim-Michaels\AppData\Local\Microsoft\Windows\WER\ReportArchive\AppCrash_cc1plus.exe_47125e68aa27986916fd7cd8a9395fd71e7bf978_1e948ef7

        Analysis symbol:
        Rechecking for solution: 0
        Report Id: d9ecb5c0-a96e-11e3-847c-e1f4150142e4
        Report Status: 0


        Jim-Michaels@Jim-Michaels-PC /wx
        $ $CXX -v
        Using built-in specs.
        COLLECT_GCC=f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64
        \bin\g++.exe
        COLLECT_LTO_WRAPPER=f:/x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4
        /mingw64/bin/../libexec/gcc/x86_64-w64-mingw32/4.9.0/lto-wrapper.exe
        Target: x86_64-w64-mingw32
        Configured with: ../../../src/gcc-trunk/configure --host=x86_64-w64-mingw32 --bu
        ild=x86_64-w64-mingw32 --target=x86_64-w64-mingw32 --prefix=/mingw64 --with-sysr
        oot=/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64 --enable-shared --enable
        -static --enable-targets=all --enable-multilib --enable-languages=c,c++,fortran,
        lto --enable-libstdcxx-time=yes --enable-threads=posix --enable-libgomp --enable
        -lto --enable-graphite --enable-checking=release --enable-fully-dynamic-string -
        -enable-version-specific-runtime-libs --enable-sjlj-exceptions --disable-isl-ver
        sion-check --disable-cloog-version-check --disable-libstdcxx-pch --disable-libst
        dcxx-debug --disable-bootstrap --disable-rpath --disable-win32-registry --disabl
        e-nls --disable-werror --disable-symvers --with-gnu-as --with-gnu-ld --with-arch
        -32=i686 --with-arch-64=nocona --with-tune-32=generic --with-tune-64=core2 --wit
        h-libiconv --with-system-zlib --with-gmp=/d/mingwtrunk/prerequisites/x86_64-w64-
        mingw32-static --with-mpfr=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static
        --with-mpc=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-isl=/d/
        mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-cloog=/d/mingwtrunk/pr
        erequisites/x86_64-w64-mingw32-static --enable-cloog-backend=isl --with-pkgversi
        on='Built by MinGW-W64 project' --with-bugurl=http://sourceforge.net/projects/mi
        ngw-w64 CFLAGS='-O2 -pipe -I/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/
        opt/include -I/d/mingwtrunk/prerequisites/x86_64-zlib-static/include -I/d/mingwt
        runk/prerequisites/x86_64-w64-mingw32-static/include' CXXFLAGS='-O2 -pipe -I/d/m
        ingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/opt/include -I/d/mingwtrunk/prer
        equisites/x86_64-zlib-static/include -I/d/mingwtrunk/prerequisites/x86_64-w64-mi
        ngw32-static/include' CPPFLAGS= LDFLAGS='-pipe -L/d/mingwtrunk/x86_64-trunk-posi
        x-sjlj-rt_v4/mingw64/opt/lib -L/d/mingwtrunk/prerequisites/x86_64-zlib-static/li
        b -L/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static/lib'
        Thread model: posix
        gcc version 4.9.0 20131119 (experimental) (Built by MinGW-W64 project)

        Jim-Michaels@Jim-Michaels-PC /wx
        $


        Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/mingw-w64/bugs/386/

        To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/


        [bugs:#386] 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

        Status: open
        Group: v1.0 (example)
        Created: Tue Mar 11, 2014 11:12 PM UTC by Jim Michaels
        Last Updated: Sat Mar 15, 2014 05:22 PM UTC

        Owner: nobody

        I just ran a

        i HAVE A 64-BIT msys, configured for using expermiental 4.9.0 experimental sjlj posix x86_64.

        I was building wxwidgets 3.0.0 with

        ./configure ; make -j 12

        causes a bunch of compiler aborts which brings up a windows error "cc1plus.exe has stopped working" dialog.

        the -j specifies the number of parallel compiles.

        after cleaning and remake, I got same error but this time with

        "cc1plus.exe

        (X)The instruction at 0x00cc9e0b referenced memory at 0x954c0288. The memory could not be read.

        Click OK to terminate the program."

        from the event viewer (eventvwr.exe):

        Faulting application name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
        Faulting module name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
        Exception code: 0xc0000005
        Fault offset: 0x00000000008c9e0b
        Faulting process id: 0x5dfac
        Faulting application start time: 0x01cf3d7d07fade42
        Faulting application path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
        Faulting module path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
        Report Id: 45acd00f-a970-11e3-847c-e1f4150142e4

        Fault bucket 13473730, type 20
        Event Name: APPCRASH
        Response: Not available
        Cab Id: 0

        Problem signature:
        P1: cc1plus.exe
        P2: 0.0.0.0
        P3: 528b3204
        P4: cc1plus.exe
        P5: 0.0.0.0
        P6: 528b3204
        P7: c0000005
        P8: 00000000008c9e0b
        P9:
        P10:

        Attached files:
        C:\Users\Jim-Michaels\AppData\Local\Temp\WERBD38.tmp.WERInternalMetadata.xml

        These files may be available here:
        C:\Users\Jim-Michaels\AppData\Local\Microsoft\Windows\WER\ReportArchive\AppCrash_cc1plus.exe_47125e68aa27986916fd7cd8a9395fd71e7bf978_1e948ef7

        Analysis symbol:
        Rechecking for solution: 0
        Report Id: d9ecb5c0-a96e-11e3-847c-e1f4150142e4
        Report Status: 0


        Jim-Michaels@Jim-Michaels-PC /wx
        $ $CXX -v
        Using built-in specs.
        COLLECT_GCC=f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64
        \bin\g++.exe
        COLLECT_LTO_WRAPPER=f:/x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4
        /mingw64/bin/../libexec/gcc/x86_64-w64-mingw32/4.9.0/lto-wrapper.exe
        Target: x86_64-w64-mingw32
        Configured with: ../../../src/gcc-trunk/configure --host=x86_64-w64-mingw32 --bu
        ild=x86_64-w64-mingw32 --target=x86_64-w64-mingw32 --prefix=/mingw64 --with-sysr
        oot=/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64 --enable-shared --enable
        -static --enable-targets=all --enable-multilib --enable-languages=c,c++,fortran,
        lto --enable-libstdcxx-time=yes --enable-threads=posix --enable-libgomp --enable
        -lto --enable-graphite --enable-checking=release --enable-fully-dynamic-string -
        -enable-version-specific-runtime-libs --enable-sjlj-exceptions --disable-isl-ver
        sion-check --disable-cloog-version-check --disable-libstdcxx-pch --disable-libst
        dcxx-debug --disable-bootstrap --disable-rpath --disable-win32-registry --disabl
        e-nls --disable-werror --disable-symvers --with-gnu-as --with-gnu-ld --with-arch
        -32=i686 --with-arch-64=nocona --with-tune-32=generic --with-tune-64=core2 --wit
        h-libiconv --with-system-zlib --with-gmp=/d/mingwtrunk/prerequisites/x86_64-w64-
        mingw32-static --with-mpfr=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static
        --with-mpc=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-isl=/d/
        mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-cloog=/d/mingwtrunk/pr
        erequisites/x86_64-w64-mingw32-static --enable-cloog-backend=isl --with-pkgversi
        on='Built by MinGW-W64 project' --with-bugurl=http://sourceforge.net/projects/mi
        ngw-w64 CFLAGS='-O2 -pipe -I/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/
        opt/include -I/d/mingwtrunk/prerequisites/x86_64-zlib-static/include -I/d/mingwt
        runk/prerequisites/x86_64-w64-mingw32-static/include' CXXFLAGS='-O2 -pipe -I/d/m
        ingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/opt/include -I/d/mingwtrunk/prer
        equisites/x86_64-zlib-static/include -I/d/mingwtrunk/prerequisites/x86_64-w64-mi
        ngw32-static/include' CPPFLAGS= LDFLAGS='-pipe -L/d/mingwtrunk/x86_64-trunk-posi
        x-sjlj-rt_v4/mingw64/opt/lib -L/d/mingwtrunk/prerequisites/x86_64-zlib-static/li
        b -L/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static/lib'
        Thread model: posix
        gcc version 4.9.0 20131119 (experimental) (Built by MinGW-W64 project)

        Jim-Michaels@Jim-Michaels-PC /wx
        $


        Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/mingw-w64/bugs/386/

        To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

         

        Related

        Bugs: #386

        Attachments
      • Jim Michaels
        Jim Michaels
        2014-03-18

        more info on the -m32 problem in wxwidgets (I found the error in the config.log, but have no idea what to do about it):

        configure:17203: $? = 1
        configure: failed program was:
        | / confdefs.h /
        | #define PACKAGE_NAME "wxWidgets"
        | #define PACKAGE_TARNAME "wxwidgets"
        | #define PACKAGE_VERSION "3.0.0"
        | #define PACKAGE_STRING "wxWidgets 3.0.0"
        | #define PACKAGE_BUGREPORT "wx-dev@lists.wxwidgets.org"
        | #define PACKAGE_URL ""
        | / end confdefs.h.  /
        |
        | int
        | main ()
        | {
        |
        |              #ifndef INTEL_COMPILER
        |                 choke me
        |              #endif
        |
        |   ;
        |   return 0;
        | }
        configure:17213: result: no
        configure:17936: checking how to run the C preprocessor
        configure:18006: result: /mingw64h64t/bin/x86_64-w64-mingw32-cpp.exe
        configure:18026: /mingw64h64t/bin/x86_64-w64-mingw32-cpp.exe -save-temps -m32 -I${compilerbase}/${compilertype}/include:${compilerbase}/include/c++/${compilerver}:${compilerbase}/include/c++/${compilerver}/${compilertype}:${compilerbase}/lib/gcc/${compilertype}/${compilerver}/include-fixed conftest.c
        ./configure: line 2556: /mingw64h64t/bin/x86_64-w64-mingw32-cpp.exe: No such file or directory
        configure:18026: $? = 127
        configure: failed program was:
        | / confdefs.h /
        | #define PACKAGE_NAME "wxWidgets"
        | #define PACKAGE_TARNAME "wxwidgets"
        | #define PACKAGE_VERSION "3.0.0"
        | #define PACKAGE_STRING "wxWidgets 3.0.0"
        | #define PACKAGE_BUGREPORT "wx-dev@lists.wxwidgets.org"
        | #define PACKAGE_URL ""
        | / end confdefs.h.  /
        | #ifdef
        STDC
        | # include <limits.h>
        | #else
        | # include <assert.h>
        | #endif
        |              Syntax error
        configure:18026: /mingw64h64t/bin/x86_64-w64-mingw32-cpp.exe -save-temps -m32 -I${compilerbase}/${compilertype}/include:${compilerbase}/include/c++/${compilerver}:${compilerbase}/include/c++/${compilerver}/${compilertype}:${compilerbase}/lib/gcc/${compilertype}/${compilerver}/include-fixed conftest.c
        ./configure: line 2556: /mingw64h64t/bin/x86_64-w64-mingw32-cpp.exe: No such file or directory
        configure:18026: $? = 127
        configure: failed program was:
        | / confdefs.h /
        | #define PACKAGE_NAME "wxWidgets"
        | #define PACKAGE_TARNAME "wxwidgets"
        | #define PACKAGE_VERSION "3.0.0"
        | #define PACKAGE_STRING "wxWidgets 3.0.0"
        | #define PACKAGE_BUGREPORT "wx-dev@lists.wxwidgets.org"
        | #define PACKAGE_URL ""
        | / end confdefs.h.  /
        | #ifdef
        STDC__
        | # include <limits.h>
        | #else
        | # include <assert.h>
        | #endif
        |              Syntax error
        configure:18056: error: in /wx32': configure:18058: error: C preprocessor "/mingw64h64t/bin/x86_64-w64-mingw32-cpp.exe" fails sanity check Seeconfig.log' for more details

        Jim Michaels
        Jmichae3@yahoo.com
        JimM@RenewalComputerServices.com
        http://RenewalComputerServices.com
        http://JesusnJim.com (my personal site, has software)


        IEC Units: Computer RAM & SSD measurements, microsoft disk size measurements (note: they will say GB or MB or KB or TB when it is IEC Units!):
        [KiB] [MiB] [GiB] [TiB]
        [2^10B=1,024^1B=1KiB]
        [2^20B=1,024^2B=1,048,576B=1MiB]
        [2^30B=1,024^3B=1,073,741,824B=1GiB]
        [2^40B=1,024^4B=1,099,511,627,776B=1TiB]
        [2^50B=1,024^5B=1,125,899,906,842,624B=1PiB]
        SI Units: Hard disk industry disk size measurements:

        [kB] [MB] [GB] [TB]
        [10^3B=1,000B=1kB]
        [10^6B=1,000,000B=1MB]
        [10^9B=1,000,000,000B=1GB]
        [10^12B=1,000,000,000,000B=1TB]
        [10^15B=1,000,000,000,000,000B=1PB]


        From: Jim Michaels jmichae3@users.sf.net
        To: [mingw-w64:bugs] 386@bugs.mingw-w64.p.re.sf.net
        Sent: Saturday, March 15, 2014 6:17 PM
        Subject: [mingw-w64:bugs] Re: #386 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

        when I am using msys, where do the .i files go to? can't find them. I used -save-temps -v


        From: Jim Michaels jmichae3@users.sf.net
        To: [mingw-w64:bugs] 386@bugs.mingw-w64.p.re.sf.net
        Sent: Saturday, March 15, 2014 10:00 AM
        Subject: [mingw-w64:bugs] #386 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

        is it possible to mix -O2 and -Ofast?
        it's this file.

        Attachment: main.cpp (12.6 kB; application/octet-stream)


        [bugs:#386] 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

        Status: open
        Group: v1.0 (example)
        Created: Tue Mar 11, 2014 11:12 PM UTC by Jim Michaels
        Last Updated: Wed Mar 12, 2014 05:39 AM UTC
        Owner: nobody

        I just ran a

        i HAVE A 64-BIT msys, configured for using expermiental 4.9.0 experimental sjlj posix x86_64.

        I was building wxwidgets 3.0.0 with

        ./configure ; make -j 12

        causes a bunch of compiler aborts which brings up a windows error "cc1plus.exe has stopped working" dialog.

        the -j specifies the number of parallel compiles.

        after cleaning and remake, I got same error but this time with

        "cc1plus.exe

        (X)The instruction at 0x00cc9e0b referenced memory at 0x954c0288. The memory could not be read.

        Click OK to terminate the program."

        from the event viewer (eventvwr.exe):

        Faulting application name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
        Faulting module name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
        Exception code: 0xc0000005
        Fault offset: 0x00000000008c9e0b
        Faulting process id: 0x5dfac
        Faulting application start time: 0x01cf3d7d07fade42
        Faulting application path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
        Faulting module path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
        Report Id: 45acd00f-a970-11e3-847c-e1f4150142e4

        Fault bucket 13473730, type 20
        Event Name: APPCRASH
        Response: Not available
        Cab Id: 0

        Problem signature:
        P1: cc1plus.exe
        P2: 0.0.0.0
        P3: 528b3204
        P4: cc1plus.exe
        P5: 0.0.0.0
        P6: 528b3204
        P7: c0000005
        P8: 00000000008c9e0b
        P9:
        P10:

        Attached files:
        C:\Users\Jim-Michaels\AppData\Local\Temp\WERBD38.tmp.WERInternalMetadata.xml

        These files may be available here:
        C:\Users\Jim-Michaels\AppData\Local\Microsoft\Windows\WER\ReportArchive\AppCrash_cc1plus.exe_47125e68aa27986916fd7cd8a9395fd71e7bf978_1e948ef7

        Analysis symbol:
        Rechecking for solution: 0
        Report Id: d9ecb5c0-a96e-11e3-847c-e1f4150142e4
        Report Status: 0


        Jim-Michaels@Jim-Michaels-PC /wx
        $ $CXX -v
        Using built-in specs.
        COLLECT_GCC=f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64
        \bin\g++.exe
        COLLECT_LTO_WRAPPER=f:/x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4
        /mingw64/bin/../libexec/gcc/x86_64-w64-mingw32/4.9.0/lto-wrapper.exe
        Target: x86_64-w64-mingw32
        Configured with: ../../../src/gcc-trunk/configure --host=x86_64-w64-mingw32 --bu
        ild=x86_64-w64-mingw32 --target=x86_64-w64-mingw32 --prefix=/mingw64 --with-sysr
        oot=/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64 --enable-shared --enable
        -static --enable-targets=all --enable-multilib --enable-languages=c,c++,fortran,
        lto --enable-libstdcxx-time=yes --enable-threads=posix --enable-libgomp --enable
        -lto --enable-graphite --enable-checking=release --enable-fully-dynamic-string -
        -enable-version-specific-runtime-libs --enable-sjlj-exceptions --disable-isl-ver
        sion-check --disable-cloog-version-check --disable-libstdcxx-pch --disable-libst
        dcxx-debug --disable-bootstrap --disable-rpath --disable-win32-registry --disabl
        e-nls --disable-werror --disable-symvers --with-gnu-as --with-gnu-ld --with-arch
        -32=i686 --with-arch-64=nocona --with-tune-32=generic --with-tune-64=core2 --wit
        h-libiconv --with-system-zlib --with-gmp=/d/mingwtrunk/prerequisites/x86_64-w64-
        mingw32-static --with-mpfr=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static
        --with-mpc=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-isl=/d/
        mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-cloog=/d/mingwtrunk/pr
        erequisites/x86_64-w64-mingw32-static --enable-cloog-backend=isl --with-pkgversi
        on='Built by MinGW-W64 project' --with-bugurl=http://sourceforge.net/projects/mi
        ngw-w64 CFLAGS='-O2 -pipe -I/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/
        opt/include -I/d/mingwtrunk/prerequisites/x86_64-zlib-static/include -I/d/mingwt
        runk/prerequisites/x86_64-w64-mingw32-static/include' CXXFLAGS='-O2 -pipe -I/d/m
        ingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/opt/include -I/d/mingwtrunk/prer
        equisites/x86_64-zlib-static/include -I/d/mingwtrunk/prerequisites/x86_64-w64-mi
        ngw32-static/include' CPPFLAGS= LDFLAGS='-pipe -L/d/mingwtrunk/x86_64-trunk-posi
        x-sjlj-rt_v4/mingw64/opt/lib -L/d/mingwtrunk/prerequisites/x86_64-zlib-static/li
        b -L/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static/lib'
        Thread model: posix
        gcc version 4.9.0 20131119 (experimental) (Built by MinGW-W64 project)

        Jim-Michaels@Jim-Michaels-PC /wx
        $


        Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/mingw-w64/bugs/386/

        To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/


        [bugs:#386] 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

        Status: open
        Group: v1.0 (example)
        Created: Tue Mar 11, 2014 11:12 PM UTC by Jim Michaels
        Last Updated: Sat Mar 15, 2014 05:22 PM UTC

        Owner: nobody

        I just ran a

        i HAVE A 64-BIT msys, configured for using expermiental 4.9.0 experimental sjlj posix x86_64.

        I was building wxwidgets 3.0.0 with

        ./configure ; make -j 12

        causes a bunch of compiler aborts which brings up a windows error "cc1plus.exe has stopped working" dialog.

        the -j specifies the number of parallel compiles.

        after cleaning and remake, I got same error but this time with

        "cc1plus.exe

        (X)The instruction at 0x00cc9e0b referenced memory at 0x954c0288. The memory could not be read.

        Click OK to terminate the program."

        from the event viewer (eventvwr.exe):

        Faulting application name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
        Faulting module name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
        Exception code: 0xc0000005
        Fault offset: 0x00000000008c9e0b
        Faulting process id: 0x5dfac
        Faulting application start time: 0x01cf3d7d07fade42
        Faulting application path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
        Faulting module path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
        Report Id: 45acd00f-a970-11e3-847c-e1f4150142e4

        Fault bucket 13473730, type 20
        Event Name: APPCRASH
        Response: Not available
        Cab Id: 0

        Problem signature:
        P1: cc1plus.exe
        P2: 0.0.0.0
        P3: 528b3204
        P4: cc1plus.exe
        P5: 0.0.0.0
        P6: 528b3204
        P7: c0000005
        P8: 00000000008c9e0b
        P9:
        P10:

        Attached files:
        C:\Users\Jim-Michaels\AppData\Local\Temp\WERBD38.tmp.WERInternalMetadata.xml

        These files may be available here:
        C:\Users\Jim-Michaels\AppData\Local\Microsoft\Windows\WER\ReportArchive\AppCrash_cc1plus.exe_47125e68aa27986916fd7cd8a9395fd71e7bf978_1e948ef7

        Analysis symbol:
        Rechecking for solution: 0
        Report Id: d9ecb5c0-a96e-11e3-847c-e1f4150142e4
        Report Status: 0


        Jim-Michaels@Jim-Michaels-PC /wx
        $ $CXX -v
        Using built-in specs.
        COLLECT_GCC=f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64
        \bin\g++.exe
        COLLECT_LTO_WRAPPER=f:/x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4
        /mingw64/bin/../libexec/gcc/x86_64-w64-mingw32/4.9.0/lto-wrapper.exe
        Target: x86_64-w64-mingw32
        Configured with: ../../../src/gcc-trunk/configure --host=x86_64-w64-mingw32 --bu
        ild=x86_64-w64-mingw32 --target=x86_64-w64-mingw32 --prefix=/mingw64 --with-sysr
        oot=/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64 --enable-shared --enable
        -static --enable-targets=all --enable-multilib --enable-languages=c,c++,fortran,
        lto --enable-libstdcxx-time=yes --enable-threads=posix --enable-libgomp --enable
        -lto --enable-graphite --enable-checking=release --enable-fully-dynamic-string -
        -enable-version-specific-runtime-libs --enable-sjlj-exceptions --disable-isl-ver
        sion-check --disable-cloog-version-check --disable-libstdcxx-pch --disable-libst
        dcxx-debug --disable-bootstrap --disable-rpath --disable-win32-registry --disabl
        e-nls --disable-werror --disable-symvers --with-gnu-as --with-gnu-ld --with-arch
        -32=i686 --with-arch-64=nocona --with-tune-32=generic --with-tune-64=core2 --wit
        h-libiconv --with-system-zlib --with-gmp=/d/mingwtrunk/prerequisites/x86_64-w64-
        mingw32-static --with-mpfr=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static
        --with-mpc=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-isl=/d/
        mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-cloog=/d/mingwtrunk/pr
        erequisites/x86_64-w64-mingw32-static --enable-cloog-backend=isl --with-pkgversi
        on='Built by MinGW-W64 project' --with-bugurl=http://sourceforge.net/projects/mi
        ngw-w64 CFLAGS='-O2 -pipe -I/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/
        opt/include -I/d/mingwtrunk/prerequisites/x86_64-zlib-static/include -I/d/mingwt
        runk/prerequisites/x86_64-w64-mingw32-static/include' CXXFLAGS='-O2 -pipe -I/d/m
        ingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/opt/include -I/d/mingwtrunk/prer
        equisites/x86_64-zlib-static/include -I/d/mingwtrunk/prerequisites/x86_64-w64-mi
        ngw32-static/include' CPPFLAGS= LDFLAGS='-pipe -L/d/mingwtrunk/x86_64-trunk-posi
        x-sjlj-rt_v4/mingw64/opt/lib -L/d/mingwtrunk/prerequisites/x86_64-zlib-static/li
        b -L/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static/lib'
        Thread model: posix
        gcc version 4.9.0 20131119 (experimental) (Built by MinGW-W64 project)

        Jim-Michaels@Jim-Michaels-PC /wx
        $


        Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/mingw-w64/bugs/386/

        To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

         

        Related

        Bugs: #386

        Attachments
      • Jim Michaels
        Jim Michaels
        2014-03-18

        compiler throws random errors with -m64 on every compile when I use msys's make  doing
        make -j 5


        From: Jim Michaels jmichae3@users.sf.net
        To: [mingw-w64:bugs] 386@bugs.mingw-w64.p.re.sf.net
        Sent: Saturday, March 15, 2014 6:17 PM
        Subject: [mingw-w64:bugs] Re: #386 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

        when I am using msys, where do the .i files go to? can't find them. I used -save-temps -v


        From: Jim Michaels jmichae3@users.sf.net
        To: [mingw-w64:bugs] 386@bugs.mingw-w64.p.re.sf.net
        Sent: Saturday, March 15, 2014 10:00 AM
        Subject: [mingw-w64:bugs] #386 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

        is it possible to mix -O2 and -Ofast?
        it's this file.

        Attachment: main.cpp (12.6 kB; application/octet-stream)


        [bugs:#386] 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

        Status: open
        Group: v1.0 (example)
        Created: Tue Mar 11, 2014 11:12 PM UTC by Jim Michaels
        Last Updated: Wed Mar 12, 2014 05:39 AM UTC
        Owner: nobody

        I just ran a

        i HAVE A 64-BIT msys, configured for using expermiental 4.9.0 experimental sjlj posix x86_64.

        I was building wxwidgets 3.0.0 with

        ./configure ; make -j 12

        causes a bunch of compiler aborts which brings up a windows error "cc1plus.exe has stopped working" dialog.

        the -j specifies the number of parallel compiles.

        after cleaning and remake, I got same error but this time with

        "cc1plus.exe

        (X)The instruction at 0x00cc9e0b referenced memory at 0x954c0288. The memory could not be read.

        Click OK to terminate the program."

        from the event viewer (eventvwr.exe):

        Faulting application name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
        Faulting module name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
        Exception code: 0xc0000005
        Fault offset: 0x00000000008c9e0b
        Faulting process id: 0x5dfac
        Faulting application start time: 0x01cf3d7d07fade42
        Faulting application path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
        Faulting module path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
        Report Id: 45acd00f-a970-11e3-847c-e1f4150142e4

        Fault bucket 13473730, type 20
        Event Name: APPCRASH
        Response: Not available
        Cab Id: 0

        Problem signature:
        P1: cc1plus.exe
        P2: 0.0.0.0
        P3: 528b3204
        P4: cc1plus.exe
        P5: 0.0.0.0
        P6: 528b3204
        P7: c0000005
        P8: 00000000008c9e0b
        P9:
        P10:

        Attached files:
        C:\Users\Jim-Michaels\AppData\Local\Temp\WERBD38.tmp.WERInternalMetadata.xml

        These files may be available here:
        C:\Users\Jim-Michaels\AppData\Local\Microsoft\Windows\WER\ReportArchive\AppCrash_cc1plus.exe_47125e68aa27986916fd7cd8a9395fd71e7bf978_1e948ef7

        Analysis symbol:
        Rechecking for solution: 0
        Report Id: d9ecb5c0-a96e-11e3-847c-e1f4150142e4
        Report Status: 0


        Jim-Michaels@Jim-Michaels-PC /wx
        $ $CXX -v
        Using built-in specs.
        COLLECT_GCC=f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64
        \bin\g++.exe
        COLLECT_LTO_WRAPPER=f:/x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4
        /mingw64/bin/../libexec/gcc/x86_64-w64-mingw32/4.9.0/lto-wrapper.exe
        Target: x86_64-w64-mingw32
        Configured with: ../../../src/gcc-trunk/configure --host=x86_64-w64-mingw32 --bu
        ild=x86_64-w64-mingw32 --target=x86_64-w64-mingw32 --prefix=/mingw64 --with-sysr
        oot=/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64 --enable-shared --enable
        -static --enable-targets=all --enable-multilib --enable-languages=c,c++,fortran,
        lto --enable-libstdcxx-time=yes --enable-threads=posix --enable-libgomp --enable
        -lto --enable-graphite --enable-checking=release --enable-fully-dynamic-string -
        -enable-version-specific-runtime-libs --enable-sjlj-exceptions --disable-isl-ver
        sion-check --disable-cloog-version-check --disable-libstdcxx-pch --disable-libst
        dcxx-debug --disable-bootstrap --disable-rpath --disable-win32-registry --disabl
        e-nls --disable-werror --disable-symvers --with-gnu-as --with-gnu-ld --with-arch
        -32=i686 --with-arch-64=nocona --with-tune-32=generic --with-tune-64=core2 --wit
        h-libiconv --with-system-zlib --with-gmp=/d/mingwtrunk/prerequisites/x86_64-w64-
        mingw32-static --with-mpfr=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static
        --with-mpc=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-isl=/d/
        mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-cloog=/d/mingwtrunk/pr
        erequisites/x86_64-w64-mingw32-static --enable-cloog-backend=isl --with-pkgversi
        on='Built by MinGW-W64 project' --with-bugurl=http://sourceforge.net/projects/mi
        ngw-w64 CFLAGS='-O2 -pipe -I/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/
        opt/include -I/d/mingwtrunk/prerequisites/x86_64-zlib-static/include -I/d/mingwt
        runk/prerequisites/x86_64-w64-mingw32-static/include' CXXFLAGS='-O2 -pipe -I/d/m
        ingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/opt/include -I/d/mingwtrunk/prer
        equisites/x86_64-zlib-static/include -I/d/mingwtrunk/prerequisites/x86_64-w64-mi
        ngw32-static/include' CPPFLAGS= LDFLAGS='-pipe -L/d/mingwtrunk/x86_64-trunk-posi
        x-sjlj-rt_v4/mingw64/opt/lib -L/d/mingwtrunk/prerequisites/x86_64-zlib-static/li
        b -L/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static/lib'
        Thread model: posix
        gcc version 4.9.0 20131119 (experimental) (Built by MinGW-W64 project)

        Jim-Michaels@Jim-Michaels-PC /wx
        $


        Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/mingw-w64/bugs/386/

        To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/


        [bugs:#386] 4.9.0 experimental sjlj posixx86_64 cc1plus.exe crash

        Status: open
        Group: v1.0 (example)
        Created: Tue Mar 11, 2014 11:12 PM UTC by Jim Michaels
        Last Updated: Sat Mar 15, 2014 05:22 PM UTC

        Owner: nobody

        I just ran a

        i HAVE A 64-BIT msys, configured for using expermiental 4.9.0 experimental sjlj posix x86_64.

        I was building wxwidgets 3.0.0 with

        ./configure ; make -j 12

        causes a bunch of compiler aborts which brings up a windows error "cc1plus.exe has stopped working" dialog.

        the -j specifies the number of parallel compiles.

        after cleaning and remake, I got same error but this time with

        "cc1plus.exe

        (X)The instruction at 0x00cc9e0b referenced memory at 0x954c0288. The memory could not be read.

        Click OK to terminate the program."

        from the event viewer (eventvwr.exe):

        Faulting application name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
        Faulting module name: cc1plus.exe, version: 0.0.0.0, time stamp: 0x528b3204
        Exception code: 0xc0000005
        Fault offset: 0x00000000008c9e0b
        Faulting process id: 0x5dfac
        Faulting application start time: 0x01cf3d7d07fade42
        Faulting application path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
        Faulting module path: f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64\bin..\libexec\gcc\x86_64-w64-mingw32\4.9.0\cc1plus.exe
        Report Id: 45acd00f-a970-11e3-847c-e1f4150142e4

        Fault bucket 13473730, type 20
        Event Name: APPCRASH
        Response: Not available
        Cab Id: 0

        Problem signature:
        P1: cc1plus.exe
        P2: 0.0.0.0
        P3: 528b3204
        P4: cc1plus.exe
        P5: 0.0.0.0
        P6: 528b3204
        P7: c0000005
        P8: 00000000008c9e0b
        P9:
        P10:

        Attached files:
        C:\Users\Jim-Michaels\AppData\Local\Temp\WERBD38.tmp.WERInternalMetadata.xml

        These files may be available here:
        C:\Users\Jim-Michaels\AppData\Local\Microsoft\Windows\WER\ReportArchive\AppCrash_cc1plus.exe_47125e68aa27986916fd7cd8a9395fd71e7bf978_1e948ef7

        Analysis symbol:
        Rechecking for solution: 0
        Report Id: d9ecb5c0-a96e-11e3-847c-e1f4150142e4
        Report Status: 0


        Jim-Michaels@Jim-Michaels-PC /wx
        $ $CXX -v
        Using built-in specs.
        COLLECT_GCC=f:\x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4\mingw64
        \bin\g++.exe
        COLLECT_LTO_WRAPPER=f:/x86_64-4.9.0-snapshot-20131119-rev205009-posix-sjlj-rt_v4
        /mingw64/bin/../libexec/gcc/x86_64-w64-mingw32/4.9.0/lto-wrapper.exe
        Target: x86_64-w64-mingw32
        Configured with: ../../../src/gcc-trunk/configure --host=x86_64-w64-mingw32 --bu
        ild=x86_64-w64-mingw32 --target=x86_64-w64-mingw32 --prefix=/mingw64 --with-sysr
        oot=/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64 --enable-shared --enable
        -static --enable-targets=all --enable-multilib --enable-languages=c,c++,fortran,
        lto --enable-libstdcxx-time=yes --enable-threads=posix --enable-libgomp --enable
        -lto --enable-graphite --enable-checking=release --enable-fully-dynamic-string -
        -enable-version-specific-runtime-libs --enable-sjlj-exceptions --disable-isl-ver
        sion-check --disable-cloog-version-check --disable-libstdcxx-pch --disable-libst
        dcxx-debug --disable-bootstrap --disable-rpath --disable-win32-registry --disabl
        e-nls --disable-werror --disable-symvers --with-gnu-as --with-gnu-ld --with-arch
        -32=i686 --with-arch-64=nocona --with-tune-32=generic --with-tune-64=core2 --wit
        h-libiconv --with-system-zlib --with-gmp=/d/mingwtrunk/prerequisites/x86_64-w64-
        mingw32-static --with-mpfr=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static
        --with-mpc=/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-isl=/d/
        mingwtrunk/prerequisites/x86_64-w64-mingw32-static --with-cloog=/d/mingwtrunk/pr
        erequisites/x86_64-w64-mingw32-static --enable-cloog-backend=isl --with-pkgversi
        on='Built by MinGW-W64 project' --with-bugurl=http://sourceforge.net/projects/mi
        ngw-w64 CFLAGS='-O2 -pipe -I/d/mingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/
        opt/include -I/d/mingwtrunk/prerequisites/x86_64-zlib-static/include -I/d/mingwt
        runk/prerequisites/x86_64-w64-mingw32-static/include' CXXFLAGS='-O2 -pipe -I/d/m
        ingwtrunk/x86_64-trunk-posix-sjlj-rt_v4/mingw64/opt/include -I/d/mingwtrunk/prer
        equisites/x86_64-zlib-static/include -I/d/mingwtrunk/prerequisites/x86_64-w64-mi
        ngw32-static/include' CPPFLAGS= LDFLAGS='-pipe -L/d/mingwtrunk/x86_64-trunk-posi
        x-sjlj-rt_v4/mingw64/opt/lib -L/d/mingwtrunk/prerequisites/x86_64-zlib-static/li
        b -L/d/mingwtrunk/prerequisites/x86_64-w64-mingw32-static/lib'
        Thread model: posix
        gcc version 4.9.0 20131119 (experimental) (Built by MinGW-W64 project)

        Jim-Michaels@Jim-Michaels-PC /wx
        $


        Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/mingw-w64/bugs/386/

        To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

         

        Related

        Bugs: #386

        Attachments
1 2 > >> (Page 1 of 2)